Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.tibco.bpm.web.client.model.types.calendar
Enum WeekDay

    java.lang.Object
      java.lang.Enum<WeekDay>
          com.tibco.bpm.web.client.model.types.calendar.WeekDay

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, java.io.Serializable, java.lang.Comparable<WeekDay>

    public enum WeekDay

extends java.lang.Enum<WeekDay>
implements java.io.Serializable, com.google.gwt.user.client.rpc.IsSerializable

Enum Constant Summary
`FRIDAY`
`MONDAY`
`SATURDAY`
`SUNDAY`
`THURSDAY`
`TUESDAY`
`WEDNESDAY`

Method Summary
`static WeekDay` | `get(int position)`
`static WeekDay` | `get(java.lang.String rule)`
`int` | `getPosition()`
`java.lang.String` | `getRule()`
`static WeekDay` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WeekDay[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUNDAY

    public static final WeekDay SUNDAY

### MONDAY

    public static final WeekDay MONDAY

### TUESDAY

    public static final WeekDay TUESDAY

### WEDNESDAY

    public static final WeekDay WEDNESDAY

### THURSDAY

    public static final WeekDay THURSDAY

### FRIDAY

    public static final WeekDay FRIDAY

### SATURDAY

    public static final WeekDay SATURDAY

Method Detail

### values

    public static WeekDay[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WeekDay c : WeekDay.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WeekDay valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getPosition

    public int getPosition()

### getRule

    public java.lang.String getRule()

### get

    public static WeekDay get(int position)

### get

    public static WeekDay get(java.lang.String rule)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.